package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.ConsultoresDatosReparto;

import java.util.List;

public interface ConsultoresDatosRepartoDaoLocal {

    void create(ConsultoresDatosReparto consultoresDatosReparto);

    void edit(ConsultoresDatosReparto consultoresDatosReparto);

    void remove(ConsultoresDatosReparto consultoresDatosReparto);

    ConsultoresDatosReparto find(Object id);

    List<ConsultoresDatosReparto> findAll();

    List<ConsultoresDatosReparto> findRange(int[] range);

    int count();

    ConsultoresDatosReparto obtenerDatoReparto(String consultorCodigo);
}
